Bug 26338 - Show tool plugins run in tools home
Summary: Show tool plugins run in tools home
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Plugin architecture (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-01 13:40 UTC by Fridolin Somers
Modified: 2021-04-07 13:58 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Screenshot (33.52 KB, image/png)
2020-09-01 13:42 UTC, Fridolin Somers
Details
Bug 26338: Show tool plugins run in tools home (2.79 KB, patch)
2020-09-01 13:48 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 26338: Show tool plugins run in tools home (3.31 KB, patch)
2020-09-10 08:33 UTC, Fridolin Somers
Details | Diff | Splinter Review
Screenshot (20.83 KB, image/png)
2020-09-10 08:36 UTC, Fridolin Somers
Details
Bug 26338: Show tool plugins run in tools home (3.39 KB, patch)
2020-09-10 10:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 26338: Show tool plugins run in tools home (3.44 KB, patch)
2020-09-12 20:27 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin Somers 2020-09-01 13:40:22 UTC
In tools home there is a link to the table showing tool plugins.
Would be great to be able to run a tool plugin directly from tools home.
Comment 1 Fridolin Somers 2020-09-01 13:42:02 UTC
Created attachment 109432 [details]
Screenshot
Comment 2 Fridolin Somers 2020-09-01 13:42:47 UTC
(In reply to Fridolin SOMERS from comment #1)
> Created attachment 109432 [details]
> Screenshot

With the example of plugin Carrousel https://inlibro.com/instructions-carrousel/
Comment 3 Fridolin Somers 2020-09-01 13:48:24 UTC
Created attachment 109433 [details] [review]
Bug 26338: Show tool plugins run in tools home

In tools home there is a link to the table showing tool plugins.
Would be great to be able to run a tool plugin directly from tools home.

Also adds the behavior than if there is no tool plugin, "Tool plugins"
section is not displayed in tools home.
No need of a link that goes to an empty table ;)

Test plan :
1) Enable plugins, dont install any
2) Go to "Tools" module : /cgi-bin/koha/tools/tools-home.pl
3) Check you dont see "Tool plugins"
4) Install a tool plugin like Carrousel https://inlibro.com/instructions-carrousel/
5) Refresh /cgi-bin/koha/tools/tools-home.pl
6) Check you see "Tool plugins" and a link to Carrousel
7) Click on link to Carrousel => You see plugin run
8) Disable Carrousel plugin
9) Refresh /cgi-bin/koha/tools/tools-home.pl
10) Check you dont see "Tool plugins"
Comment 4 Katrin Fischer 2020-09-01 13:49:51 UTC
I think I'd remove the "run plugin" bit. And maybe make it a list.
Comment 5 David Cook 2020-09-03 00:36:06 UTC
(In reply to Fridolin SOMERS from comment #0)
> In tools home there is a link to the table showing tool plugins.
> Would be great to be able to run a tool plugin directly from tools home.

I've been having the same idea! I think this would be useful from a UX perspective.
Comment 6 Fridolin Somers 2020-09-10 08:33:21 UTC
Created attachment 109835 [details] [review]
Bug 26338: Show tool plugins run in tools home

In tools home there is a link to the table showing tool plugins.
Would be great to be able to run a tool plugin directly from tools home.

Also adds the behavior than if there is no tool plugin, "Tool plugins"
section is not displayed in tools home.
No need of a link that goes to an empty table ;)

Test plan :
1) Enable plugins, dont install any
2) Go to "Tools" module : /cgi-bin/koha/tools/tools-home.pl
3) Check you dont see "Tool plugins"
4) Install a tool plugin like Carrousel https://inlibro.com/instructions-carrousel/
5) Refresh /cgi-bin/koha/tools/tools-home.pl
6) Check you see "Tool plugins" and a link to Carrousel
7) Click on link to Carrousel => You see plugin run
8) Disable Carrousel plugin
9) Refresh /cgi-bin/koha/tools/tools-home.pl
10) Check you dont see "Tool plugins"
Comment 7 Fridolin Somers 2020-09-10 08:34:29 UTC
(In reply to Katrin Fischer from comment #4)
> I think I'd remove the "run plugin" bit. And maybe make it a list.

Nicer indeed.
I've changed to ul li.
This needs a change in CSS to replace text-indent with padding-left.
Comment 8 Fridolin Somers 2020-09-10 08:36:14 UTC
Created attachment 109836 [details]
Screenshot
Comment 9 Arthur Suzuki 2020-09-10 09:20:07 UTC
Nice! too bad I can't signoff that one! (same organisation).
If nobody has signed within a month I will ;)
Good job frido!
Comment 10 Owen Leonard 2020-09-10 10:57:16 UTC
Created attachment 109842 [details] [review]
Bug 26338: Show tool plugins run in tools home

In tools home there is a link to the table showing tool plugins.
Would be great to be able to run a tool plugin directly from tools home.

Also adds the behavior than if there is no tool plugin, "Tool plugins"
section is not displayed in tools home.
No need of a link that goes to an empty table ;)

Test plan :
1) Enable plugins, dont install any
2) Go to "Tools" module : /cgi-bin/koha/tools/tools-home.pl
3) Check you dont see "Tool plugins"
4) Install a tool plugin like Carrousel https://inlibro.com/instructions-carrousel/
5) Refresh /cgi-bin/koha/tools/tools-home.pl
6) Check you see "Tool plugins" and a link to Carrousel
7) Click on link to Carrousel => You see plugin run
8) Disable Carrousel plugin
9) Refresh /cgi-bin/koha/tools/tools-home.pl
10) Check you dont see "Tool plugins"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Katrin Fischer 2020-09-12 20:27:35 UTC
Created attachment 109993 [details] [review]
Bug 26338: Show tool plugins run in tools home

In tools home there is a link to the table showing tool plugins.
Would be great to be able to run a tool plugin directly from tools home.

Also adds the behavior than if there is no tool plugin, "Tool plugins"
section is not displayed in tools home.
No need of a link that goes to an empty table ;)

Test plan :
1) Enable plugins, dont install any
2) Go to "Tools" module : /cgi-bin/koha/tools/tools-home.pl
3) Check you dont see "Tool plugins"
4) Install a tool plugin like Carrousel https://inlibro.com/instructions-carrousel/
5) Refresh /cgi-bin/koha/tools/tools-home.pl
6) Check you see "Tool plugins" and a link to Carrousel
7) Click on link to Carrousel => You see plugin run
8) Disable Carrousel plugin
9) Refresh /cgi-bin/koha/tools/tools-home.pl
10) Check you dont see "Tool plugins"

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 12 Jonathan Druart 2020-10-01 09:45:31 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 13 Lucas Gass 2020-10-20 17:34:32 UTC
enhancement will not be backported to 20.05.x
Comment 14 wainuiwitikapark 2021-04-05 22:43:30 UTC
Hi all, the Tools > Tool plugins link no longer shows if no plugins are installed, but don't we need to get to that page in order to upload a plugin?

Are we missing something?
Comment 15 wainuiwitikapark 2021-04-06 00:49:27 UTC
Hi, Owen has let me know you can do it in the Koha administration module but when you click on the link, in the breadcrumbs it says it's in the Tools module.
Comment 16 Fridolin Somers 2021-04-07 13:58:40 UTC
(In reply to wainuiwitikapark from comment #15)
> Hi, Owen has let me know you can do it in the Koha administration module but
> when you click on the link, in the breadcrumbs it says it's in the Tools
> module.

Ah indeed. Please create a new bug to fix the breadcrumbs.

In my opinion installing plugins is an administration action.